#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 34. GNOME Applications

- Prev

  Evolution-3.60.1

- Next

  gnome-calculator-50.0

- Up
- Home

# File-Roller-44.6

## Introduction to File Roller

File Roller is an archive manager for GNOME with support for tar, bzip2, bzip3, gzip, zip, jar, compress, lzop, zstd, dmg, and many other archive formats.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Note

File Roller is only a graphical interface to archiving utilities such as tar and zip.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/file-roller/44/file-roller-44.6.tar.xz

- Download MD5 sum: 74cec9801d26a64a856d2d82b19d9d7c

- Download size: 1.0 MB

- Estimated disk space required: 21 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### File Roller Dependencies

#### Required

GTK-4.22.4 and itstool-2.0.7

#### Recommended

cpio-2.15, desktop-file-utils-0.28, JSON-GLib-1.10.8, libarchive-3.8.7, libadwaita-1.9.0, libportal-0.9.1, and Nautilus-50.1

#### Optional (for the API documentation)

Gi-DocGen-2026.1

#### Optional (Runtime)

UnRar-7.2.4, libarchive-3.8.7, Zip-3.0, and unarchiver

## Installation of File Roller

Install File Roller by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D packagekit=false \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install &&
    chmod -v 0755 /usr/libexec/file-roller/isoinfo.sh

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK-3.24.52 installed (for the icon cache) and desktop-file-utils-0.28 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D packagekit=false`: This switch disables the use of PackageKit which isn't suitable for BLFS.

`-D api_docs=enabled`: Use this switch if you have Gi-DocGen-2026.1 installed and wish to generate the API documentation.

## Contents

Installed Program: file-roller
Installed Libraries: libnautilus-fileroller.so
Installed Directories: /usr/{libexec,share{,/help/*}}/file-roller

### Short Descriptions

file-roller | is an archive manager for GNOME

- Prev

  Evolution-3.60.1

- Next

  gnome-calculator-50.0

- Up
- Home